package com.navmii.sdksampleapp;

import com.navmii.sdk.common.MapCoordinates;

import java.io.InputStream;

public interface ExternalRouteParser {
    final class Result {
        private final MapCoordinates[] points;
        private final int[] waypointIndices;

        public Result(MapCoordinates[] points, int[] waypointIndices) {
            this.points = points;
            this.waypointIndices = waypointIndices;
        }

        public MapCoordinates[] getPoints() {
            return points;
        }

        public int[] getWaypointIndices() {
            return waypointIndices;
        }
    }

    class ParseException extends RuntimeException {
        public ParseException(String message) {
            super(message);
        }
    }

    Result parse(InputStream inputStream) throws ParseException;
}
