package com.navmii.sdksampleapp;


import android.content.Context;
import android.util.DisplayMetrics;

public class Utils {
    public static String formatDistance(Context context, int distanceInMeters) {
        return context.getString(
                R.string.distance_in_km,
                distanceInMeters / 1000f);
    }

    public static String formatTime(Context context, int timeInSeconds) {
        int hours = timeInSeconds / 3600;
        int minutes = (timeInSeconds % 3600) / 60;
        int seconds = timeInSeconds % 60;

        return context.getString(R.string.time_hms, hours, minutes, seconds);
    }

    public static int dpToPx(int value, DisplayMetrics displayMetrics) {
        return Math.round(value * displayMetrics.density);
    }

    public static int pxToDp(int value, DisplayMetrics displayMetrics) {
        return Math.round(value / displayMetrics.density);
    }
}
