package com.navmii.sdksampleapp.routing;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.navmii.sdksampleapp.R;
import com.navmii.sdksampleapp.Utils;

public class RoutingInfoFragment extends Fragment {

    private static final String DISTANCE = "DISTANCE";
    private static final String ESTIMATED_TIME = "ESTIMATED_TIME";
    private static final String NAME = "NAME";

    private int estimatedTime;
    private int distanceInM;
    private String name;

    public static RoutingInfoFragment newRoutingInfoFragment(int distanceInM,
                                                             int estimatedTime,
                                                             String name) {
        RoutingInfoFragment fragment = new RoutingInfoFragment();
        Bundle args = new Bundle();
        args.putInt(DISTANCE, distanceInM);
        args.putInt(ESTIMATED_TIME, estimatedTime);
        args.putString(NAME, name);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRetainInstance(true);
        estimatedTime = getArguments().getInt(ESTIMATED_TIME);
        distanceInM = getArguments().getInt(DISTANCE);
        name = getArguments().getString(NAME);
    }


    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater,
                             ViewGroup container,
                             Bundle savedInstanceState) {
        View fragmentView = inflater.inflate(R.layout.routing_info_layout, container, false);
        ((TextView) fragmentView.findViewById(R.id.length)).setText(
                Utils.formatDistance(getActivity(), distanceInM));
        ((TextView) fragmentView.findViewById(R.id.estimated_time)).setText(
                Utils.formatTime(getActivity(), estimatedTime));
        ((TextView) fragmentView.findViewById(R.id.name)).setText(String.valueOf(name));
        return fragmentView;
    }
}
