package com.navmii.sdksampleapp.sdk;


import android.os.Parcel;
import android.os.Parcelable;

import com.navmii.sdk.common.Address;
import com.navmii.sdk.common.MapCoordinates;

public class AddressInfo implements Parcelable {

    private String city;
    private String adminHierarchy;
    private String houseNumber;
    private String country;
    private String postalCode;
    private String street;
    private String routeNumber;
    private MapCoordinates mapCoordinates;

    public AddressInfo(Address address, MapCoordinates mapCoordinates) {
        city = address.getCity().getName();
        adminHierarchy = address.getAdminHierarchy();
        houseNumber = address.getHouseNumber();
        country = address.getCountry().getName();
        postalCode = address.getPostalCode();
        street = address.getStreet();
        routeNumber = address.getRouteNumber();
        this.mapCoordinates = mapCoordinates;
    }

    public AddressInfo(Parcel in) {
        city = in.readString();
        adminHierarchy = in.readString();
        houseNumber = in.readString();
        country = in.readString();
        postalCode = in.readString();
        street = in.readString();
        routeNumber = in.readString();
        mapCoordinates = in.readParcelable(MapCoordinates.class.getClassLoader());
    }

    public static final Creator<AddressInfo> CREATOR = new Creator<AddressInfo>() {
        @Override
        public AddressInfo createFromParcel(Parcel in) {
            return new AddressInfo(in);
        }

        @Override
        public AddressInfo[] newArray(int size) {
            return new AddressInfo[size];
        }
    };

    public String getCity() {
        return city;
    }

    public String getAdminHierarchy() {
        return adminHierarchy;
    }

    public String getHouseNumber() {
        return houseNumber;
    }

    public String getCountry() {
        return country;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public String getStreet() {
        return street;
    }

    public String getRouteNumber() {
        return routeNumber;
    }

    public MapCoordinates getMapCoordinates() {
        return mapCoordinates;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(city);
        parcel.writeString(adminHierarchy);
        parcel.writeString(houseNumber);
        parcel.writeString(country);
        parcel.writeString(postalCode);
        parcel.writeString(street);
        parcel.writeString(routeNumber);
        parcel.writeParcelable(mapCoordinates, 0);
    }
}
