package com.navmii.sdksampleapp.sdk;

import android.os.Parcel;
import android.os.Parcelable;

public class PlaceInfo implements Parcelable {

    private String name;
    private String category;
    private AddressInfo address;

    public PlaceInfo(String name, String category, AddressInfo address) {
        this.name = name;
        this.category = category;
        this.address = address;
    }

    public PlaceInfo(Parcel in) {
        name = in.readString();
        category = in.readString();
        address = in.readParcelable(AddressInfo.class.getClassLoader());
    }

    public static final Creator<PlaceInfo> CREATOR = new Creator<PlaceInfo>() {
        @Override
        public PlaceInfo createFromParcel(Parcel in) {
            return new PlaceInfo(in);
        }

        @Override
        public PlaceInfo[] newArray(int size) {
            return new PlaceInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(name);
        parcel.writeString(category);
        parcel.writeParcelable(address, 0);
    }


    public AddressInfo getAddress() {
        return address;
    }

    public String getCategory() {
        return category;
    }

    public String getName() {
        return name;
    }
}
